/*
 * xy.h
 *
 * constants having to do with locations
 *
 * $Revision: 1.1 $ $Date: 89/12/12 17:00:43 $
 */

#ifndef HAVE_XY

#define HAVE_XY

typedef struct range {
	coord lx;	/* low-range x,y */
	coord ly;
	coord hx;	/* high-range x,y */
	coord hy;
	int width;	/* range width, height */
	int height;
} _range;

extern	char *ownxy();
extern	char *xyas();
extern	char *xyfmt();

coord	xnorm(), ynorm();
coord	xabs(), yabs();
coord	xrel(), yrel();

#endif
