.TH Command PARADROP
.SY "paradrop <TRANSPORTS> <ESCORTS> <SECT> route"
The \*Qparadrop\*U command is used to sneak troops behind enemy lines,
or to drop in unawares on lightly-defended enemy islands or outposts.
It represents a complete mission for one or more transports and escorts
taking off from one place and returning to base at the end of the mission.
.s1
<TRANSPORTS> represents a list of planes which can carry commodities.
Only planes which have a transport capacity, belong in a sector which is
stocked with gas and military, and have sufficient mobility will
be successfully selected for the mission.
.s1
<ESCORTS> represent a list of fighter planes which are capable of escorting
the transports all the way to the target.
To be selected, escorts must have fuel and mobility.
.s1
<SECT> represents an assembly point, where all of the planes in the
mission meet before proceeding on to the target sector.
The assembly point must be owned by you, and must not be more than
four sectors away from any of the planes selected for the mission.
.s1
Route is a normal empire flightpath specification.
.s1
At 100% efficiency, fighters consume 12 mobility per flight; other aircraft
consume 20 mobility per flight.  As efficiency drops toward zero, mobility 
usage linearly increases to three times those values (i.e., 36 mob/flight
for a 0% efficient fighter, 60 mob/flight for a 0% efficient anything else).
.s1
If the planes manage to fight through enemy air defenses and arrive
on-target, each transport in the mission will be shot at by any
guns present on the ground.
Surviving transports will drop the paratroops they carry, which will
attack any enemy military occupying the target sector.
Paratroops, due to their vulnerability and lack of heavy equipment,
count only 1/2 in combat against the ground troops in the target sector.
.s1
If you win, then the target sector is yours and you capture any
commodities and planes which happen to be there, although it is
probable that any planes will be damaged by their ground crews
before capture.
Hardened missile silos are always destroyed prior to sector takeover.
.s3
See also : plane-types, bomb, fly, para, drop, recon, flightpath
