#ifndef lint
static char *RCSid = "$Header: cnumb.c,v 1.1 89/12/14 13:28:11 jay Exp $";
#endif

/*
 * cnumb.c
 *
 * return country # given country name or
 * unambiguous country name match
 *
 * from PSL Empire, 1985
 */

#include "misc.h"
#include "nat.h"
#include "file.h"

int
cnumb(cntry)
	char	*cntry;
{
	register char *ncp;
	register char *cp;
	register struct natstr *natp;
	int	bcount;
	natid	best;
	natid	cn;

	bcount = 0;
	if (*cntry == '.') return(cnum);
	for (cn = 0; cn < MAXNOC; cn++) {
		if ((natp = getnatp(cn)) == 0)
			break;
		ncp = natp->nat_cnam;
		for (cp=cntry; *cp == *ncp; cp++, ncp++) {
			if (*cp == 0)
				return cn;
		}
		if (cp > cntry && *cp == 0) {
			best = cn;
			bcount++;
		}
	}
	/* can only have 1 match or not successful */
	return bcount == 1 ? (int) best : -1;
}
