#ifndef lint
static char *RCSid = "$Header: initfiles.c,v 1.1 89/12/14 13:30:07 jay Exp $";
#endif

/*
 * initfiles.c
 *
 * Dave Pare, 1989
 */

#include "misc.h"
#include "nat.h"
#include "sailio.h"
#include "user.h"
#include "file.h"
#include <fcntl.h>

struct	user *users;
int	maxusers;

initfiles()
{
	struct	natstr *np;
	int	i;

	if (ef_open(EF_NATION, O_RDWR, EFF_MEM) < 0) {
		logerror("nation file");
		cleanup(1);
	}
	/*
	 * set logins of everybody to zero
	 */
	for (i=0; np = getnatp(i); i++)
		np->nat_login = 0;
	if (ef_close(EF_NATION) < 0) {
		logerror("nation file initial write");
		cleanup(1);
	}
	(void) ef_open(EF_NATION, O_RDWR, EFF_MEM);
	if (ef_open(EF_NEWS, O_RDWR, 0) < 0) {
		logerror("news file initial open");
		cleanup(1);
	}
	maxusers = getfdtablesize();
	users = (struct user *) malloc(sizeof(*users) * maxusers);
	bzero(users, sizeof(*users) * maxusers);
}
