/*
** lotto.h
**
** 6/91 Bill Frolik
*/

#define LOTTOTICKET	20	/* how much the tickets cost */
#define LOTTOSEED	1000	/* initial jackpot */
#define LOTTOBALLS	20	/* number of lottery number balls */
#define NUMPICKS	3	/* how many numbers you pick */

typedef struct {
    natid owner; 	/* ticket owner */
    int cost; 		/* ticket cost */
    char pick[NUMPICKS];/* three number picks */
} tkt;

typedef struct {
    int primary;
    int secondary;
} prz;

union lottorec {
    prz jackpot;
    tkt ticket;
};
