#ifndef lint
static char *RCSid = "$Header: termlib.c,v 1.1 89/12/12 16:56:55 jay Exp $";
#endif /* not lint */

/*
 * termlib.c
 *
 * Dave Pare, 1986
 */

#include <stdio.h>
#include <ctype.h>

char	*SO;
char	*SE;

parsedelay(r)
	char *r;
{
	char *s, *t;

	s = r;
	while (isdigit(*s) || (*s == '*') || (*s == '.')) {
		s++;
	}
	for (t = r; *s != 0; (s++, t++)) {
		*t = *s;
	}
	*t = 0;
}

int
getsose()
{
	extern	char *getenv();
	extern	char *tgetstr();
	static	char tbuf[1024];
	static	char cbuf[20];
	char	*cp;
	char	*term;

	term = getenv("TERM");
	if (term == 0) {
		fprintf(stderr, "warning: no TERM environment variable\n");
		return;
	}
	tgetent(tbuf, term);
	cp = cbuf;
	SO = tgetstr("so", &cp);
	SE = tgetstr("se", &cp);
	if (SO == 0) {
		SO = tgetstr("us", &cp);
		SE = tgetstr("ue", &cp);
	}
	if (SO != 0) {
		parsedelay(SO);
		parsedelay(SE);
	}
}
