/*
 * user.h
 *
 * Dave Pare, 1986
 * $Revision: 1.1 $ $Date: 89/12/12 17:00:40 $
 */

#include "queue.h"

struct user {
	SAIL *u_iop;
	int u_cnum;
	int u_pid;
};

struct shlock {
	struct qelem queue;
	struct user *who;	/* who is locking */
};

/*
 * lock commandsx
 */
#define L_UNLOCK	bit(0)		/* command to unlock */
#define	L_LOCK		bit(1)		/* command to lock */
#define L_NOLOCK	bit(3)		/* allow no new locks */

extern	struct user *newuser();
extern	struct user *userbyfd();

extern	struct user *users;
extern	int maxusers;
