.TH Command LAUNCH
.SY "launch <PLANES> [<orbit-DIRECTION> <orbit-VELOCITY>]"
The launch command is used to launch nuclear missiles or satellites
from sectors or nuclear submarines owned by you.
If there are nuclear warheads on board the particular missile,
you will be asked for targeting data for each warhead
(also known as \*Qre-entry vehicle\*U), including the target x,y.
.s3
Satellites can be launched into either stationary or nonstationary
positions, depending on what you specify for the \*Q<orbit-DIRECTION>\*U 
parameter.  To be stationary, the direction must be specified as `h'.
To move in orbit at each update, one of the other movement directions
must be specified.  For nonstationary satellites, you can also optionally
specify an \*Q<orbit-VELOCITY>\*U.  This must be a number from 1 to 4, 
and specifies a multiplier to be applied to the base orbital speed (which
is typically one sector every 3 etus).
.s3
Each missile can be targeted to air-burst or ground-burst.
In order to better destroy missiles on the ground (or in their silos),
the ground-burst technique is used.
Ground-bursts are much less effective against large area targets,
but do massive damage to the sector it impacts,
possibly knocking out hardened missiles
before they can be used against you.
In the parlance of nuclear targeting doctrine,
this is known as \*Qcounter-force\*U targeting.
.s3
Air-bursts are used in order to kill large numbers of civilians,
to knock out industry (by flattening the factories),
to take out lightly armored military targets in a large area,
and to generally wreak havoc.
Nuclear strategists call this a \*Qcounter-value\*U technique.
.s3
Once all targeting data is entered,
the launch command will notify you of a successful launch, targeting,
and (if all goes well) the detonation of the nuclear devices
in their target sectors.
Note here that it is much safer to use 100% missiles than those which
are less efficient,
and missiles below 60% cannot be launched.
.s3
Of course, things don't always go as planned!
.s3
Note that when you are first asked for the target sector
you can chicken out by hitting ^C
(or your favorite abort character).
.s3
See also : build, planes, satellite, nuke-types,
\*QOn Thermonuclear War\*U by Herman Kahn.
