#ifndef lint
static char *RCSid = "$Header: type.c,v 1.1 89/12/14 13:28:44 jay Exp $";
#endif

/*
**  type.c
**
**  Typename to array offset translation.
**
**  Dave Pare, 1989
**
**  7/91 Bill Frolik - added spies
*/

#include "misc.h"
#include "ship.h"
#include "plane.h"
#include "sect.h"
#include "nuke.h"
#include "file.h"
#include "spy.h"

int typematch(buf, type)
char *buf;
int type;
{
    register int n;
    int	len;
    
    len = strlen(buf);
    switch (type) {
    case EF_SECTOR: {
	register struct dchrstr *dcp;
	if (!buf[0] || buf[1])
	    return -1;
	for (dcp=dchr,n=0; dcp->d_name; n++,dcp++)
	    if (dcp->d_mnem == *buf) return n;
    }
	break;
    case EF_SHIP: {
	register struct mchrstr *mcp;
	for (mcp=mchr,n=0; *mcp->m_name; n++,mcp++)
	    if (strncmp(mcp->m_name, buf, len) == 0) return n;
    }
	break;
    case EF_PLANE: {
	register struct plchrstr *pcp;
	for (pcp=plchr,n=0; *pcp->pl_name; n++,pcp++)
	    if (strncmp(pcp->pl_name, buf, len) == 0)
		return n;
    }
	break;
    case EF_NUKE: {
	register struct nchrstr *ncp;
	for (ncp=nchr,n=0; *ncp->n_name; n++,ncp++)
	    if (strncmp(ncp->n_name, buf, len) == 0)
		return n;
    }
	break;
    case EF_SPY: {
	register struct spchrstr *scp;
	for (scp=spchr,n=0; *scp->sp_name; n++,scp++)
	    if (strncmp(scp->sp_name, buf, len) == 0)
		return n;
    }
	break;
    default:
	break;
    }
    return -1;
}

int onecharmatch(buf, type)
char *buf;
int type;
{
    register int n;
    n = -1;
    if (strlen(buf) == 1) switch (type) {
    case EF_PLANE:
    case EF_SHIP:
	dpr(fmt("onecharmatch: `%s'",buf));
	if (*buf > ' ') n = (int) *buf;
    }
    return n;
}

