#ifndef lint
static char *RCSid = "$Header: whatitem.c,v 1.1 89/12/14 13:28:45 jay Exp $";
#endif

/*
 * whatitem.c
 *
 * return pointer to item chr struct given
 * item name.
 *
 * from PSL Empire, 1985
 */

#include "misc.h"
#include "item.h"
#include "var.h"

struct ichrstr *whatitem(ptr, prompt)
char *ptr, *prompt;
{
    register char *p;
    register struct ichrstr *ip;
    char pbuf[128];
    int i,j,guard;
    if ((guard=(prompt && *prompt=='!'))) prompt++;
    strncpy(pbuf,prompt,127); pbuf[127]='\0';
    while (1) {
	if (ptr && *ptr=='.') return 0;
	p = getstarg(ptr, pbuf);
	if (p==0 || *p==0) return 0;
	for (ip = &ichr[1]; ip->i_mnem != 0; ip++) {
	    if (*p == ip->i_mnem) return ip;
	}
	pr(fmt("Unrecognized item `%s'.\n",p));
	if (ptr && *ptr) return 0;
	if (guard) {
	    pr("Valid items and how heavily they are guarded are:\n");
	    for (i=1; ichr[i].i_mnem; i++) {
		pr(fmt("  %3d %-8s",ichr[i].i_secure,ichr[i].i_nam));
		if (i%5 == 0) pr("\n");
	    }
	    if (i%5 != 1) pr("\n");
	} else {
	    pr("Valid items are:\n");
	    for (i=1; ichr[i].i_mnem; i++) {
		pr(fmt("  %-10s",ichr[i].i_nam));
		if (i%5 == 0) pr("\n");
	    }
	    if (i%5 != 1) pr("\n");
	}
    }
}
